PolishOnlyResourceFactory

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.internationalization.java
Class PolishOnlyResourceFactory

    java.lang.Object
      org.openswing.swing.internationalization.java.ResourcesFactory
          org.openswing.swing.internationalization.java.PolishOnlyResourceFactory

public class PolishOnlyResourceFactory
extends ResourcesFactory

Title: OpenSwing Framework

Description: Class for retrieve the collection of all internationalization properties: translations, data/numeric/currency formats. No translation is performed, date/numeric/currency formats are based on Polish formats.

Copyright: Copyright (C) 2008 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author of polish translate may be contacted at: ujacek@tlen.pl

Constructor Summary
`PolishOnlyResourceFactory(java.lang.String currencySymbol, java.util.Properties additionalDictionary, boolean showResourceNotFoundWarning)` Constructor.

Method Summary
`Resources` | `getResources()`
`Resources` | `getResources(java.lang.String langId)`
`void` | `setLanguage(java.lang.String langId)` Load dictionary, according to the specified language id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolishOnlyResourceFactory

    public PolishOnlyResourceFactory(java.lang.String currencySymbol,
                                     java.util.Properties additionalDictionary,
                                     boolean showResourceNotFoundWarning)

  Constructor.

Parameters:
  `currencySymbol` - currency symbol
  `additionalDictionary` - additional descriptions
  `showResourceNotFoundWarning` - warn when no resource key not found

Method Detail

### getResources

    public final Resources getResources()

  Specified by:
    `getResources` in class `ResourcesFactory`
  Returns:
    internationalization settings, according with the current language

### setLanguage

    public final void setLanguage(java.lang.String langId)
                           throws java.lang.UnsupportedOperationException

  Load dictionary, according to the specified language id.

  Specified by:
    `setLanguage` in class `ResourcesFactory`
  Parameters:
    `langId` - language id identifier
  Throws:
    `java.lang.UnsupportedOperationException`

### getResources

    public final Resources getResources(java.lang.String langId)
                                 throws java.lang.UnsupportedOperationException

  Specified by:
    `getResources` in class `ResourcesFactory`
  Parameters:
    `langId` - language id identifier
  Returns:
    internationalization settings, according with the language specified
  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD